# hasTask

abstract fun hasTask(path: String): Boolean

Determines whether the given task is included in the execution plan.

#### Return

true if a task with the given path is included in the execution plan.

#### Parameters

path

the absolute path of the task.

#### Throws

IllegalStateException

When this graph has not been populated.

abstract fun hasTask(task: Task): Boolean

Determines whether the given task is included in the execution plan.

#### Return

true if the given task is included in the execution plan.

#### Parameters

task

the task

#### Throws

IllegalStateException

When this graph has not been populated.